package net;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class Main {

	public static void main(String[] args) {
		JFrame f = new JFrame("Client");
		f.setSize(400,400);
		JPanel p = new JPanel();
		p.setLayout(new GridLayout(3,1));
		JTextArea serverMessages = new JTextArea();
		Client c = new Client(serverMessages);
		serverMessages.setEditable(false);
		
		JTextArea myMessages = new JTextArea();
		c.startClient();
		JButton sendMessageButton = new JButton("Send message");
		sendMessageButton.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				c.sendMessage(myMessages.getText());				
				myMessages.setText("");
			}
		});
		p.add(sendMessageButton);
		p.add(new JScrollPane(serverMessages));
		p.add(new JScrollPane(myMessages));
		f.add(p);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.setVisible(true);
	}
}
