package objects;

import java.io.Serializable;

public class Student implements Serializable {
	
	private static final long serialVersionUID = 4094302331073094744L;
	//Not send from server to client
	//Thus this is null in the client
	transient private String id;
	private String firstName;
	private String lastName;	
	
	public Student(String id, String f, String l) {
		this.id = id;
		this.firstName = f;
		this.lastName = l;		
	}
	
	@Override
	public String toString() {
		return id + " " + firstName + " " + lastName;
	}
}
