package server;

import java.awt.BorderLayout;
import java.awt.TextArea;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

import objects.Student;

public class Main {

	public static void main(String[] args) {
		try {
			JFrame f = new JFrame("Server");
			f.setSize(400,400);
			JPanel p = new JPanel();
			p.setLayout(new BorderLayout());
			p.add(new TextArea(), BorderLayout.CENTER);
			p.add(new JButton("Send"), BorderLayout.PAGE_END);
			f.add(p);
			f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			f.setVisible(true);
			ServerSocket server = new ServerSocket(8000);
			Socket socket = server.accept();
			ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
			out.writeObject(new Integer(10));
			out.writeObject("Hi");
			out.writeObject(new Long(10000));
			out.writeObject(new Student("id", "first_name", "last_name"));
			out.writeObject(p);
			out.flush();
			while(socket.isConnected()) {}
			server.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
